{% extends "base.html" %}

{% block content %}
<div class="row">
    <div class="col">
        <form style="margin: 20px;">
            <input type="text" placeholder="From" name="from">
            <input type="text" placeholder="To" name="to">
            <button id="search">Search</button>
            <br><input type="date" name="date">
        </form>
    </div>
</div>
<div class="row">
    <div class="col">
        <table id="trains" class="table">
        </table>
    </div>
</div>

<script>
    $(document).ready(function () {
        $('#search').click(function (e) {
            e.preventDefault();
            from_station = $("input[name=from]").val();
            to_station = $("input[name=to]").val();
            $.ajax({
                url: 'http://127.0.0.1:5051/trains',
                contentType: "application/json",
                type: 'POST',
                data: JSON.stringify({
                    "from": from_station,
                    "to": to_station,
                    "date": $("input[name=date]").val()
                }),
                success: function (json) {
                    $('#trains').empty();
                    $('#trains').append(
                        '<thead><th>Номер поїзда</th><th>Маршрут</th><th>Час виїзду/приїзду</th><th>Час поїздки</th></thead>'
                    );
                    for (var i = 0; i < json.length; i++) {
                        var trip = json[i]['id_trip'];
                        var url = 'wagons/' + trip + '/' + from_station + '/' + to_station;
                        $('#trains').append('<tr><td>' +
                            json[i]["train"]["train_num"] + '</td>' +
                            '<td>' + json[i]["start_station"]['station_name'] + '-<br>' +
                            json[i]["finish_station"]['station_name'] + '</td>' +
                            '<td>' + json[i]['departure_time'] + '<br>' + json[i][
                                'arrival_time'
                            ] + '</td>' +
                            '<td>' + json[i]['duration'] + '</td>' +
                            '<td><a href="' + url + '">Купити квиток</a></td>' +
                            '</td></tr>');
                    }
                }
            })
        })
    })
</script>
{% endblock %}